/* Copyright (C) 1999 Jeff Heflin - University of Maryland
 *	
 * This software is provided under the terms of the GNU Lesser General Public
 * License Version 2.1, February 1999. See the header in SHOE_Doc.java
 * and the file License.html for details.
 */

package SHOE;

/** An abstract class that is the parent of the Relation and Category
  classes. */
public abstract class Declaration extends SHOE_Obj {

  /** Returns a string that formats the declaration as a predicate. */
  public abstract String getPredicateText();
  
  /** Returns a phrase suitable for describing the declaration given that
    its subject is already known. */
  public abstract String getTextBySubject(OntManager ontman);

}


