package Tree;

/** This class provides a default tree model. In order to be compatible
  with the largest possible number of browsers we can't use Swing, since
  it is Java 1.1+. However, to ease any future upgrading, we have created
  this class to mirror that of a Swing class. It's methods are a subset
  of those in the Swing class. */
public class DefaultTreeModel {

  protected DefaultMutableTreeNode root;

  public DefaultTreeModel(DefaultMutableTreeNode root) {
    
    this.root = root;
  }

  public DefaultMutableTreeNode getRoot() {

    return root;
  }

  public void setRoot(DefaultMutableTreeNode root) {

    this.root = root;
  }

}
